Bug 19630 - [QT3TS] separate-modules-1 to 9
[QT3TS] separate-modules-1 to 9
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite
Working drafts
PC Windows NT
: P2 normal
: ---
Assigned To: O'Neil Delpratt
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 10:46 UTC by Tim Mills
Modified: 2012-11-05 13:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-10-19 10:46:09 UTC
The test separate-modules- is grammatically incorrect.  

import module module = "http://www.w3.org/XQueryTest/RequireProhibitFeature";
declare option prohibit-feature "higher-order-function";
let $f in module:one() return 1

The second use of module should be "module" (string literal).
'in' should be ':='

Similar problems exist in the other separate-modules-X tests.
Comment 1 Tim Mills 2012-10-19 11:17:45 UTC
Correction,

import module module = "http://www.w3.org/XQueryTest/RequireProhibitFeature";

should be

import module namespace module = "http://www.w3.org/XQueryTest/RequireProhibitFeature";
Comment 2 O'Neil Delpratt 2012-10-25 08:56:13 UTC
In the file dummy.xquery the module declaration is grammatically incorrect :

module namespace = "http://www.w3.org/XQueryTest/RequireProhibitFeature";

Missing a name. Correction made:

module namespace m = "http://www.w3.org/XQueryTest/RequireProhibitFeature";

It looks like the other problems have been resolved. Therefore I am marking this bug as fixed.
Comment 3 Tim Mills 2012-10-25 09:43:40 UTC
This doesn't look fixed to me.

e.g.

separate-modules-1

      import module module = "http://www.w3.org/XQueryTest/RequireProhibitFeature";
      declare option prohibit-feature "higher-order-function";
      let $f in module:one() return 1

See comment #1
Comment 4 Tim Mills 2012-10-25 09:53:14 UTC
I've taken the liberty of correcting a number of syntax errors which were afflicting these tests.

separate-modules-8 and 9 seem to be fundamentally wrong though.
Comment 5 O'Neil Delpratt 2012-10-25 10:21:57 UTC
I have correct separate-modules-2. Similar problem as described in comment #0.

The following:
for $f := module:one() return 1

Should be:

for $f in module:one() return 1
Comment 6 O'Neil Delpratt 2012-10-25 10:44:37 UTC
There is still a problem with separate-modules-2:

import module namespace module = "http://www.w3.org/XQueryTest/RequireProhibitFeature";
declare option prohibit-feature "all-optional-features";
for $f in module:one() return 1

The expected result is reported to succeed if supported with <assert-eq>1</assert-eq>. But surely this test should fail since all-optional-features are prohibited and module has not been declared as a required-feature.
I will make the change of replacing the expected result above with the error code XQST0016.
Comment 7 Tim Mills 2012-10-25 10:57:27 UTC
Indeed it should.  I suggest asking Ghislain to sort these tests out.
Comment 8 Ghislain Fourny 2012-11-01 11:15:26 UTC
Thanks for noticing. I added a feature dependency on module import for all these tests.
Comment 9 Ghislain Fourny 2012-11-01 11:16:37 UTC
Many thanks O'Neil for correcting the syntax errors. We'll have a definitive confirmation on them as soon as an implementation can run these tests.
Comment 10 Tim Mills 2012-11-05 13:40:58 UTC
I think these are all now working.